apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName | quote }}
type: Opaque
stringData:
  postgres-password: {{ .Values.cms.postgres.password | quote }}

  {{ with .Values.cms.azure }}
  azure-storage-account: {{ .account | quote }}
  azure-storage-url: {{ printf "https://%s.blob.core.windows.net" .account | quote }}
  azure-storage-container-name: {{ .container | quote }}
  azure-storage-sas-token: {{ .sasToken | quote }}
  azure-storage-client-id: {{ .clientId | quote }}
  azure-storage-tenant-id: {{ .tenantId | quote }}
  azure-storage-client-secret: {{ .clientSecret | quote }}
  {{ end }}

  jwt-secret: {{ .Values.cms.jwtSecret | quote }}
  admin-jwt-secret: {{ .Values.cms.adminJwtSecret | quote }}
  api-token-salt: {{ .Values.cms.apiTokenSalt | quote }}
  app-keys: {{ .Values.cms.appKeys | quote }}

  frontend-api-token: {{ .Values.frontend.apiToken | quote }}
  frontend-powerbi-clientid: {{ .Values.frontend.powerbi.clientId | quote }}
  frontend-powerbi-username: {{ .Values.frontend.powerbi.username | quote }}
  frontend-powerbi-password: {{ .Values.frontend.powerbi.password | quote }}
  frontend-powerbi-tenantid: {{ .Values.frontend.powerbi.tenantId | quote }}
  frontend-powerbi-clientsecret: {{ .Values.frontend.powerbi.clientSecret | quote }}
